Version 6.7.7 Source

Table Name: `tabShipping Rule`

Specify conditions to calculate shipping amount

### Fields

Sr | Fieldname | Type | Label | Options
--- | --- | --- | --- | ---
1 | `label` | Data | Shipping Rule Label example: Next Day Shipping |
2 | `disabled` | Check | Disabled |
3 | `calculate_based_on` | Select | Calculate Based On |
    Net Total
    Net Weight
4 | `rule_conditions_section` | Section Break | Shipping Rule Conditions |
5 | `conditions` | Table | Shipping Rule Conditions | Shipping Rule Condition
6 | `section_break_6` | Section Break | Valid for Countries |
7 | `worldwide_shipping` | Check | Worldwide Shipping |
8 | `countries` | Table | Valid for Countries | Shipping Rule Country
9 | `section_break_10` | Section Break |  |
10 | `company` | Link | Company | Company
11 | `column_break_12` | Column Break |  |
12 | `account` | Link | Shipping Account | Account
13 | `cost_center` | Link | Cost Center | Cost Center

### Controller

#### erpnext.accounts.doctype.shipping_rule.shipping_rule

### Class FromGreaterThanToError

Inherits from frappe.exceptions.ValidationError

### Class ManyBlankToValuesError

Inherits from frappe.exceptions.ValidationError

### Class OverlappingConditionError

Inherits from frappe.exceptions.ValidationError

### Class ShippingRule

Inherits from frappe.model.document.Document

sort_shipping_rule_conditions (self)

Sort Shipping Rule Conditions based on increasing From Value

validate (self)

No docs

validate_from_to_values (self)

No docs

validate_overlapping_shipping_rule_conditions (self)

No docs

#### Linked In:

- Delivery Note
- Quotation
- Sales Invoice
- Sales Order